IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[HDOSYA_FATURA_KYUSERLISTE]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION  [dbo].[HDOSYA_FATURA_KYUSERLISTE]
go

CREATE FUNCTION [dbo].[HDOSYA_FATURA_KYUSERLISTE] (@HDosyaId as Integer)  
RETURNS nvarchar(250) AS  
BEGIN 
declare @UserKodListe as nvarchar(250),
	@UserKod as nvarchar(25)
SET @UserKodListe = '' 
DECLARE HDOSYA_USERKOD_CURSOR CURSOR
   FOR SELECT DISTINCT FATURA.[USER]+' ('+ CASE WHEN KURUMTIPI= 0 THEN 'Hasta' WHEN KURUMTIPI= 1 THEN 'Kurum' ELSE 'SG' END+')' As [Faturayı Kayit Eden Kullanıcı] FROM FATURA (NOLOCK) 
		INNER JOIN HESAPISL (NOLOCK) ON ((HESAPISL.KRMHFATISLID = FATURA.FATID) OR (HESAPISL.OZELHFATISLID = FATURA.FATID))
		WHERE FIPTAL=0 AND HESAPISL.HDOSYAID= @HDosyaId
OPEN HDOSYA_USERKOD_CURSOR
FETCH NEXT FROM HDOSYA_USERKOD_CURSOR INTO @UserKod
WHILE @@FETCH_STATUS = 0
BEGIN
	SET @UserKodListe = @UserKodListe + @UserKod + ', '
	FETCH NEXT FROM HDOSYA_USERKOD_CURSOR INTO @UserKod
END
	IF CHARINDEX(',', ISNULL(@UserKodListe,' ')) <> 0
		SET @UserKodListe = LEFT(@UserKodListe, LEN(@UserKodListe)-1)
return @UserKodListe
END
